Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 949154 (qlipper) - Review Request: qlipper - Qt-based clipboard history
Summary: Review Request: qlipper - Qt-based clipboard history
Keywords:
Status: CLOSED ERRATA
Alias: qlipper
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-04-06 11:05 UTC by Eugene A. Pivnev
Modified: 2013-04-21 23:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-21 05:03:18 UTC
ti.eugene: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eugene A. Pivnev 2013-04-06 11:05:12 UTC
Spec URL: http://tieugene.fedorapeople.org/rpms/qlipper/qlipper.spec
SRPM URL: http://tieugene.fedorapeople.org/rpms/qlipper/qlipper-2.0.1-1.fc17.src.rpm
Description: Lightweight and cross-platform clipboard history applet.

Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5220472
http://koji.fedoraproject.org/koji/taskinfo?taskID=5220480
http://koji.fedoraproject.org/koji/taskinfo?taskID=5220483

rpmlint:
bash-4.2$ rpmlint rpmbuild/SPECS/qlipper.spec /mnt/shares/home/eugene/rpmbuild/SRPMS/qlipper-2.0.1-1.fc17.src.rpm /mnt/shares/home/eugene/rpmbuild/RPMS/i686/qlipper-2.0.1-1.fc17.i686.rpm
rpmbuild/SPECS/qlipper.spec: W: invalid-url Source0: http://qlipper.googlecode.com/files/qlipper-2.0.1.tar.bz2 HTTP Error 404: Not Found
qlipper.src: W: invalid-url Source0: http://qlipper.googlecode.com/files/qlipper-2.0.1.tar.bz2 HTTP Error 404: Not Found
qlipper.i686: W: no-manual-page-for-binary qlipper
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: tieugene

Comment 1 Rex Dieter 2013-04-12 15:40:02 UTC
I can review...


1. MUST fix license, recommend using:
License: GPLv3+

since it's a mixture of BSD and GPLv2+ and GPLv3+

$ licensecheck -r *
build/CMakeFiles/2.8.10.2/CompilerIdC/CMakeCCompilerId.c: *No copyright* UNKNOWN
macosx/strip_bundle.sh: *No copyright* UNKNOWN
qkeysequencewidget/qkeysequencewidget.h: BSD (3 clause)
qkeysequencewidget/qkeysequencewidget.cpp: BSD (3 clause)
qkeysequencewidget/qkeysequencewidget_p.h: BSD (3 clause)
qmenuview/qmenuview_p.h: GPL (v3 or later)
qmenuview/qmenuview.h: GPL (v3 or later)
qmenuview/qmenuview.cpp: GPL (v3 or later)
src/qlippertypes.h: *No copyright* UNKNOWN
src/qlipperpreferencesdialog.h: GPL
src/qlipperpreferences.h: GPL
src/qlippernetwork.cpp: GPL
src/qlipperpreferences.cpp: GPL
src/qlippermodel.h: GPL
src/qlippermodel.cpp: GPL
src/qlipperitem.h: GPL
src/qlippernetwork.h: GPL
src/qlippermenuview.cpp: GPL
src/qlippermenuview.h: GPL
src/config.h: GPL
src/main.cpp: GPL
src/qlipperpreferencesdialog.cpp: GPL
src/qlippersystray.cpp: GPL
src/qlipperitem.cpp: GPL
src/qlippersystray.h: GPL


sources: ok
e5e256de9b8ea07e237bde9b8e3ceb75  qlipper-2.0.1.tar.bz2

2.  SHOULD drop from %build:
-DCMAKE_INSTALL_PREFIX=/usr
this is redundant and already included in %cmake macro

macros: ok

builds/installs: ok

scriptlets: n/a (none)

3. SHOULD drop "and cross-platform" from %description, it doesn't add any value, imo


the rest is a fairly simple package, I see no other issues.

Comment 2 Eugene A. Pivnev 2013-04-12 15:59:15 UTC
(In reply to comment #1)
> 1. MUST fix license, recommend using:
> License: GPLv3+
> 
> since it's a mixture of BSD and GPLv2+ and GPLv3+

But COPYING in the root is about GPLv2 (GPLv3 code is copy-pasted from other project).
Whether License tag will not conflict with COPYING?

Comment 3 Kevin Kofler 2013-04-12 16:05:30 UTC
That's upstream's job to fix (they should be shipping a GPLv3 COPYING, not a GPLv2 one), not ours. Please report it to them. In the meantime, ship the COPYING upstream ships.

Comment 4 Eugene A. Pivnev 2013-04-12 16:21:55 UTC
(In reply to comment #1)
> I can review...

Thank you.

> 1. MUST fix license, recommend using:
> License: GPLv3+

Fixed.
Upstream bugreport: http://code.google.com/p/qlipper/issues/detail?id=15

> 2.  SHOULD drop from %build:
> -DCMAKE_INSTALL_PREFIX=/usr

Fixed.

> 3. SHOULD drop "and cross-platform" from %description, it doesn't add any value, imo

Fixed.

Spec URL: http://tieugene.fedorapeople.org/rpms/qlipper/qlipper.spec
SRPM URL: http://tieugene.fedorapeople.org/rpms/qlipper/qlipper-2.0.1-2.fc18.src.rpm

Comment 5 Rex Dieter 2013-04-12 16:52:37 UTC
Thanks, APPROVED

Comment 6 Eugene A. Pivnev 2013-04-12 16:59:19 UTC
New Package SCM Request
=======================
Package Name: qlipper
Short Description: Lightweight clipboard history
Owners: tieugene
Branches: f17 f18 f19
InitialCC: 

Note: qlipper can be packaged for EL6 too (https://build.opensuse.org/package/show?package=qlipper&project=X11%3AQtDesktop) - but using built-in qxt and qtsingleapplication sources.

Comment 7 Eugene A. Pivnev 2013-04-12 17:00:15 UTC
oops... browser error

Comment 8 Gwyn Ciesla 2013-04-12 17:33:35 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-04-12 18:34:46 UTC
qlipper-2.0.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qlipper-2.0.1-2.fc19

Comment 10 Fedora Update System 2013-04-12 18:36:08 UTC
qlipper-2.0.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qlipper-2.0.1-2.fc18

Comment 11 Fedora Update System 2013-04-12 18:36:55 UTC
qlipper-2.0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qlipper-2.0.1-2.fc17

Comment 12 Fedora Update System 2013-04-13 17:10:38 UTC
qlipper-2.0.1-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 13 Fedora Update System 2013-04-21 05:03:21 UTC
qlipper-2.0.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Fedora Update System 2013-04-21 23:51:30 UTC
qlipper-2.0.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 15 Fedora Update System 2013-04-21 23:56:03 UTC
qlipper-2.0.1-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.